/* Change these value according to your calibration value */
int Threshold = 650;

#define sensorPin A0


int val = 0;

int Control = 13;
int Indicator = 12;

void setup()
{
  Serial.begin(9600);
  
  pinMode(Control, OUTPUT);
  pinMode(Indicator, OUTPUT);

  
  digitalWrite(Control, LOW);
  digitalWrite(Indicator, LOW);
 
}

void loop()
{
  int level = readSensor();

 if (level > Threshold)
 {
    Serial.println(level);
    
    Serial.println("Activate");
    digitalWrite(Indicator, HIGH);
    digitalWrite(Control, HIGH);
     
  }
  else
    {
      Serial.println(level);
    Serial.println("Deactivate");
    digitalWrite(Indicator, LOW);
    digitalWrite(Control, LOW);
    }
  delay(1000);
}

int readSensor() {
 
  val = analogRead(sensorPin);
  
  return val;
}
